# std::swap(std::any)

From cppreference.com
< cpp‎ | utility‎ | any

void swap(any& lhs, any& rhs) noexcept; |  | (since C++17)

Overloads the std::swap algorithm for std::any. Swaps the content of two `any` objects by calling lhs.swap(rhs).

### Parameters

lhs, rhs | - | objects to swap

### Return value

(none)

### See also

swap | swaps two `any` objects (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/any/swap2&oldid=105528"